Bug 491036 (CVE-2009-0846) - CVE-2009-0846 krb5: ASN.1 decoder can free uninitialized pointer when decoding an invalid encoding (MITKRB5-SA-2009-002)
Summary: CVE-2009-0846 krb5: ASN.1 decoder can free uninitialized pointer when decodin...
Status: CLOSED ERRATA
Alias: CVE-2009-0846
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard: impact=critical,source=upstream,repor...
Keywords: Security
Depends On: 490635 490636 491833 491834 491835 491836
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-19 02:48 UTC by Vincent Danen
Modified: 2016-01-22 17:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-09 09:35:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upstream patch to fix MITKRB5-SA-2009-002 issue (CVE-2009-0846) (1.62 KB, patch)
2009-03-19 02:57 UTC, Vincent Danen
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0408 normal SHIPPED_LIVE Important: krb5 security update 2009-04-07 18:47:39 UTC
Red Hat Product Errata RHSA-2009:0409 normal SHIPPED_LIVE Important: krb5 security update 2009-04-07 18:47:48 UTC
Red Hat Product Errata RHSA-2009:0410 normal SHIPPED_LIVE Critical: krb5 security update 2009-04-07 18:47:56 UTC

Description Vincent Danen 2009-03-19 02:48:19 UTC
An ASN.1 decoder can free an uninitialized pointer when decoding an
invalid encoding.  This can cause a Kerberos application to crash, or,
under theoretically possible but unlikely circumstances, execute
arbitrary malicious code.  No exploit is known to exist that would
cause arbitrary code execution.

This is an implementation vulnerability in MIT krb5, and is not a
vulnerability in the Kerberos protocol.

Comment 2 Vincent Danen 2009-03-19 02:57:02 UTC
Created attachment 335794 [details]
upstream patch to fix MITKRB5-SA-2009-002 issue (CVE-2009-0846)

Comment 6 Tomas Hoger 2009-03-24 11:46:44 UTC
This flaw can easily allow an attacker to crash affected application.  Code execution depends on ability to exploit free() called on uninitialized pointer.  glibc on Red Hat Enterprise Linux 4 and later provides hardened malloc/free implementations, greatly mitigating possibility of exploitation of this flaw.  Red Hat Enterprise Linux 2.1 and 3 do not offer such hardening, resulting in higher impact rating for those versions.

Comment 7 Tomas Hoger 2009-04-07 18:22:20 UTC
Public now via:
  http://web.mit.edu/kerberos/advisories/MITKRB5-SA-2009-002.txt

Comment 8 errata-xmlrpc 2009-04-07 18:47:43 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0408 https://rhn.redhat.com/errata/RHSA-2009-0408.html

Comment 9 errata-xmlrpc 2009-04-07 18:47:52 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:0409 https://rhn.redhat.com/errata/RHSA-2009-0409.html

Comment 10 errata-xmlrpc 2009-04-07 18:48:00 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 2.1
  Red Hat Enterprise Linux 3

Via RHSA-2009:0410 https://rhn.redhat.com/errata/RHSA-2009-0410.html

Comment 11 Fedora Update System 2009-04-07 23:23:11 UTC
krb5-1.6.3-16.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-04-07 23:23:31 UTC
krb5-1.6.3-18.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.